executeSparql <- function(endpoint, query){
  library(RCurl) # this overwrites tidyr::complete, but required to run SPARQL.
  # Set User Agent
  options(RCurlOptions = list(useragent = "Exploratory"))

  fmt <- "csv"
  prefix <- c(
    "rdf","http://www.w3.org/1999/02/22-rdf-syntax-ns#",
    "rdfs","http://www.w3.org/2000/01/rdf-schema#",
    "owl","http://www.w3.org/2002/07/owl#",
    "xsd","http://www.w3.org/2001/XMLSchema#",
    "foaf","http://xmlns.com/foaf/0.1/",
    "vcard","http://www.w3.org/2006/vcard/ns#",
    "dc","http://purl.org/dc/elements/1.1/",
    "dcterms","http://purl.org/dc/terms/",
    "skos","http://www.w3.org/2004/02/skos/core#",
    "wgs84","http://www.w3.org/2003/01/geo/wgs84_pos#",
    "schema","http://schema.org/",
    "dbo","http://dbpedia.org/ontology/",
    "dbp","http://dbpedia.org/property/"
  )
  res <- SPARQL::SPARQL(url = endpoint, query = query, ns = prefix, format=fmt,curl_args=list(httpheader=list(Accept="text/csv")))$results
  detach("package:RCurl") # detach RCurl so that tidyr::complete is accessible again.
  return(res)
}
